Subject: [Ipsec] RE: Integrity and key length

From: [email-masked]
Date: Fri, 14 Oct 2005 12:54:35 +0300

Hi,

Thanks, I did forget GMAC when writing that..

Allocating three different transform identifiers sounds simpler 
to me, especially since there are no other integrity algorithms 
that use the key length attribute. But on the other hand, all 
the AES-based encryption algorithms do use the attribute, so 
I wouldn't call that a horribly bad choice either...

Best regards,
Pasi

> -----Original Message-----
> From: ext [email-masked] [mailto:[email-masked]] 
> Sent: 14 October, 2005 03:47
> To: Eronen Pasi (Nokia-NRC/Helsinki)
> Cc: [email-masked]
> Subject: Integrity and key length
> 
> Pasi,
> 
> >    This is incorrect. The AES-based integrity and pseudo-random
> >    functions defined in this document always use a 128-bit key.  In
> >    fact, there are currently no integrity or PRF algorithms that use
> >    the key length attribute (and we recommend that they should not
> >    be defined in the future either).
> 
> Hmm ... draft-mcgrew-aes-gmac-esp-00.txt is using AES with a
> variable key length in a MAC and is using the key length attribute.
> This didn't come up with the AES XCBC MAC (RFC 3566) because its
> AES key length is fixed at 128 bits.  If the key length attribute
> is really a bad idea for integrity algorithms, this draft will need
> to be certain to allocate 3 transform identifiers for the possible
> 128 bit, 192 bit and 256 bit key lengths.
> 
> I thought I'd check here before sending the authors a strong
> suggestion to allocate 3 transform identifiers (although they seem
> to be already halfway there, if one compares Sections 9.3 and 13 of
> the draft).
> 
> Thanks,
> --David
> ----------------------------------------------------
> David L. Black, Senior Technologist
> EMC Corporation, 176 South St., Hopkinton, MA  01748
> +1 (508) 293-7953             FAX: +1 (508) 293-7786
> [email-masked]        Mobile: +1 (978) 394-7754
> ----------------------------------------------------

_______________________________________________
Ipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipsec